<template>
  <div class="contacts-wrapper">
    <div class="contacts-content">
      <h2>{{ content.title }}</h2>
      <div class="contacts-block">
        <div v-for="item in arrContacts" class="contact">
          <div class="contact-title">{{ item && item.title }}</div>
          <div class="contact-text">
            <div
              v-for="text in item.items"
              class="contact-text-item"
              v-html="text"
            ></div>
          </div>
        </div>
      </div>
    </div>
    <div class="map-wrapper">
      <Map :content="map" />
    </div>
  </div>
</template>


<script>
import Map from "./common/map.vue";

export default {
  components: {
    Map,
    
  },
  props: {
    img: { type: Boolean, default: false },
    title: { type: String },
    content: {type: Object}
  },
  data() {
    return {
      address: null,
      email: null,
      phone: null,
      map: null,
      arrContacts: []
    };
  },
  computed: {
  },
  created() {
    if(this.content){
      this.address = this.content.address;
      this.email = this.content.email;
      this.phone = this.content.phone;
      this.map = this.content.map;
      this.arrContacts = [this.address, this.phone, this.email]
    }
  },
  mounted() {

  },
  updated() {},
  methods: {},
};
</script>
